package com.kingdee.eas.custom.entryconfig;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DataConfigFactory
{
    private DataConfigFactory()
    {
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfig getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfig)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C05F068B") ,com.kingdee.eas.custom.entryconfig.IDataConfig.class);
    }
    
    public static com.kingdee.eas.custom.entryconfig.IDataConfig getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfig)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C05F068B") ,com.kingdee.eas.custom.entryconfig.IDataConfig.class, objectCtx);
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfig getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfig)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C05F068B"));
    }
    public static com.kingdee.eas.custom.entryconfig.IDataConfig getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.entryconfig.IDataConfig)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C05F068B"));
    }
}